#ifndef _ALUNO_HPP_
#define _ALUNO_HPP_

#include <iostream>
#include <vector>
#include "Matricula.hpp"
#include "Pessoa.hpp"

class Aluno : public Pessoa
{
private:
    std::string matriculaInstituicao;
    int codigo;

    std::vector<Matricula*>* matricula;

public:
    static int qtdAlunos;

    Aluno();
    ~Aluno();
    Aluno(std::string matriculaInstituicao, int codigo, std::string CPF, std::string RG, std::string endereco, std::string telefone, std::string email, std::string nome);

    std::string getMatriculaInstituicao();
    void setMatriculaInstituicao(std::string matriculaInstituicao);
    int getCodigo();
    void setCodigo(int codigo);

    std::vector<Matricula*>* getMatricula();
    void setMatricula(std::vector<Matricula*>* matricula);

    void matricular(Turma* turma);

    void imprimeHorario();
};

#endif