#include "../bib/Professor.hpp"

int Professor::qtdProfessores = 0;

Professor::Professor()
{
    this->qtdProfessores++;
}

Professor::~Professor()
{
    this->qtdProfessores--;
}

Professor::Professor(std::tm dataAdmissao, std::tm dataDemissao, std::string CPF, std::string RG, std::string endereco, std::string telefone, std::string email, std::string nome)
          : Pessoa(CPF, RG, endereco, telefone, email, nome)
{
    this->dataAdmissao = dataAdmissao;
    this->dataDemissao = dataDemissao;
    
    this->qtdProfessores++;
}


std::tm Professor::getDataAdmissao()
{
    return this->dataAdmissao;
}

void Professor::setDataAdmissao(std::tm dataAdmissao)
{
    this->dataAdmissao = dataAdmissao;
}

std::tm Professor::getDataDemissao()
{
    return this->dataDemissao;
}

void Professor::setDataDemissao(std::tm dataDemissao)
{
    this->dataDemissao = dataDemissao;
}

int Professor::getQtdProfessores()
{
    return this->qtdProfessores;
}