#ifndef _CLIENTE_HPP_
#define _CLIENTE_HPP_

#include <iostream>
#include <vector>
#include <ctime>
#include "Pedido.hpp"

class Cliente
{
protected:
    std::string endereco;
    std::string telefone;
    std::string email;

    std::vector<Pedido*>* pedido;

public:
    Cliente();
    Cliente(std::string endereco, std::string telefone, std::string email);
    ~Cliente();

    void addPedido(Pedido* pedido);

    std::string getEndereco();
    void setEndereco(std::string endereco);
    std::string getTelefone();
    void setTelefone(std::string telefone);
    std::string getEmail();
    void setEmail(std::string email);
    
    std::vector<Pedido*>* getPedido();
    void setPedido(std::vector<Pedido*> *pedido);

    void imprime();
};


#endif