#include "../bib/Produto.hpp"

int qtdProdutos = 0;

Produto::Produto()
{
    this->qtdProdutos ++;
}

Produto::Produto(int codigo, std::string nome, std::string descricao, int quantidadeEstoque, float precoBase)
{
    this->codigo = codigo;
    this->nome = nome;
    this->descricao = descricao;
    this->quantidadeEstoque = quantidadeEstoque;
    this->precoBase = precoBase;

    this->qtdProdutos ++;
}

Produto::~Produto()
{
    this->qtdProdutos --;
}

int Produto::getCodigo()
{
    return this->codigo;
}

void Produto::setCodigo(int codigo)
{
    this->codigo = codigo;
}

std::string Produto::getNome()
{
    return this->nome;
}

void Produto::setNome(std::string nome)
{
    this->nome = nome;
}

std::string Produto::getDescricao()
{
    return this->descricao;
}

void Produto::setDescricao(std::string descricao)
{
    this->descricao = descricao;
}

int Produto::getQuantidadeEstoque()
{
    return this->quantidadeEstoque;
}

void Produto::setQuantidadeEstoque(int quantidadeEstoque)
{
    this->quantidadeEstoque = quantidadeEstoque;
}

float Produto::getPrecoBase()
{
    return this->precoBase;
}

void Produto::setPrecoBase(float precoBase)
{
    this->precoBase = precoBase;
}

std::vector<ItemDePedido*>* Produto::getItemDePedido()
{
    return this->itemDePedido;
}

void Produto::setItemDePedido(std::vector<ItemDePedido*>* itemDePedido)
{
    this->itemDePedido = itemDePedido;
}