#include "../bib/Conta.hpp"

Conta::Conta()
{
    this->transacao = new std::vector<Transacao*>;
}

Conta::Conta(std::string numeroDaConta, std::string agencia, float saldo)
{
    this->numeroDaConta = numeroDaConta;
    this->agencia = agencia;
    this->saldo = saldo;

    this->transacao = new std::vector<Transacao*>;
}

Conta::~Conta()
{
    for (size_t i = 0; i < this->transacao->size(); i++)
    {
        delete this->transacao[0][i];
    }
    delete this->transacao;
}

std::string Conta::getNumeroDaConta()
{
    return this->numeroDaConta;
}

void Conta::setNumeroDaConta(std::string numeroDaConta)
{
    this->numeroDaConta = numeroDaConta;
}

std::string Conta::getAgencia()
{
    return this->agencia;
}

void Conta::setAgencia(std::string agencia)
{
    this->agencia = agencia;
}

float Conta::getSaldo()
{
    return this->saldo;
}

void Conta::setSaldo(float saldo)
{
    this->saldo = saldo;
}

Correntista* Conta::getCorrentista()
{
    return this->correntista;
}

void Conta::setCorrentista(Correntista* correntista)
{
    this->correntista = correntista;
}

std::vector<Transacao*>* Conta::getTransacao()
{
    return this->transacao;
}

void Conta::setTransacao(std::vector<Transacao*>* transacao)
{
    this->transacao = transacao;
}

void Conta::addTransacao(Transacao* transacao)
{
    this->transacao->push_back(transacao);
}

void Conta::deposito(float valor)
{
    this->saldo += valor;

    std::time_t rawtime;
    std::time (&rawtime);
    Transacao* nova = new Transacao(rawtime, valor, "deposito");
    this->addTransacao(nova);

    std::cout << "deposito realizado!" << std::endl;
}