#include "../bib/ContaCorrenteComLimite.hpp"

ContaCorrenteComLimite::ContaCorrenteComLimite() {}

ContaCorrenteComLimite::ContaCorrenteComLimite(float valorLimite, std::string numeroDaConta, std::string agencia, float saldo)
    : Conta(numeroDaConta, agencia, saldo)
{
    this->valorLimite = valorLimite;
}

ContaCorrenteComLimite::~ContaCorrenteComLimite() {}

float ContaCorrenteComLimite::getValorLimite()
{
    return this->valorLimite;
}

void ContaCorrenteComLimite::setValorLimite(float valorLimite)
{
    this->valorLimite = valorLimite;
}

void ContaCorrenteComLimite::retirada(float valor)
{
    if (valor <= this->getValorLimite())
    {
        this->setSaldo(this->getSaldo() - valor);
    }
    else
    {
        std::cout << "limite indisponivel" << std::endl;
    }
}

void ContaCorrenteComLimite::extrato()
{
    std::cout << std::endl << this->getAgencia() << std::endl;
    std::cout << this->getNumeroDaConta() << std::endl;
    //std::cout << std::endl;
    std::cout << "saldo: " << this->getSaldo() << std::endl;
    std::cout << "valor do limite: " << this->getValorLimite() << std::endl << std::endl;
}