#include "../bib/ContaPoupanca.hpp"

ContaPoupanca::ContaPoupanca() {}

ContaPoupanca::ContaPoupanca(std::time_t dataAniversarioConta, std::string numeroDaConta, std::string agencia, float saldo)
    : Conta(numeroDaConta, agencia, saldo) {}

ContaPoupanca::~ContaPoupanca() {}

std::time_t ContaPoupanca::getDataAniversarioConta()
{
    return this->dataAniversarioConta;
}

void ContaPoupanca::setDataAniversarioConta(std::time_t dataAniversarioConta)
{
    this->dataAniversarioConta = dataAniversarioConta;
}


void ContaPoupanca::retirada(float valor)
{
    if (valor <= this->getSaldo())
    {
        this->setSaldo(this->getSaldo() - valor);
    }
    else
    {
        std::cout << "saldo indisponivel" << std::endl;
    }
    
}

void ContaPoupanca::extrato()
{
    std::cout << std::endl << this->getAgencia() << std::endl;
    std::cout << this->getNumeroDaConta() << std::endl;
    std::cout << "saldo: " << this->getSaldo() << std::endl;
    std::cout << "data: " << this->getDataAniversarioConta() << std::endl << std::endl;
}