#include "../bib/Turma.hpp"
#include <cstdlib>

int Turma::qtdTurmas = 0;

Turma::Turma()
{
    this->horarioAula = new std::vector<HorarioAula*>;
    this->qtdTurmas++;
}

Turma::~Turma()
{
    delete this->horarioAula;
    this->qtdTurmas--;
}

Turma::Turma(int codigo, int vagas, int ano, int semestre, std::tm dtInicio, std::tm dtFim)
{
    this->codigo = codigo;
    this->vagas = vagas;
    this->ano = ano;
    this->semestre = semestre;
    this->dtInicio = dtInicio;
    this->dtFim = dtFim;
    
    this->horarioAula = new std::vector<HorarioAula*>;
    this->qtdTurmas++;
}

int Turma::getCodigo()
{
    return this->codigo;
}

void Turma::setCodigo(int codigo)
{
    this->codigo = codigo;
}

int Turma::getVagas()
{
    return this->vagas;
}

void Turma::setVagas(int vagas)
{
    this->vagas = vagas;
}

int Turma::getAno()
{
    return this->ano;
}

void Turma::setAno(int ano)
{
    this->ano = ano;
}

int Turma::getSemestre()
{
    return this->semestre;
}

void Turma::setSemestre(int semestre)
{
    this->semestre = semestre;
}

std::tm Turma::getDtInicio()
{
    return this->dtInicio;
}

void Turma::setDtInicio(std::tm dtInicio)
{
    this->dtInicio = dtInicio;
}

std::tm Turma::getDtFim()
{
    return this->dtFim;
}

void Turma::setDtFim(std::tm dtFim)
{
    this->dtFim = dtFim;
}

int Turma::getQtdTurmas()
{
    return this->qtdTurmas;
}

std::vector<HorarioAula*>* Turma::getHorarioAula()
{
    return this->horarioAula;
}

void Turma::setHorarioAula(std::vector<HorarioAula*>* horarioAula)
{
    this->horarioAula = horarioAula;
}

void Turma::adicionaHorarioAula(HorarioAula* horarioAula)
{
    (this->horarioAula)->push_back(horarioAula);
}

Serie* Turma::getSerie()
{
    return this->serie;
}

void Turma::setSerie(Serie* serie)
{
    this->serie = serie;
}

Professor* Turma::getProfessor()
{
    return this->professor;
}

void Turma::setProfessor(Professor* professor)
{
    this->professor = professor;
}

void Turma::alocarProfessor(Professor* professor)
{
    this->professor = professor;

    std::cout << "Professor Alocado!" << std::endl;
}