#ifndef _CONTAPOUPANCA_HPP_
#define _CONTAPOUPANCA_HPP_

#include <iostream>
#include <ctime>
#include "Conta.hpp"

class ContaPoupanca : public Conta
{
private:
    std::time_t dataAniversarioConta;

public:
    ContaPoupanca();
    ContaPoupanca(std::time_t dataAniversarioConta, std::string numeroDaConta, std::string agencia, float saldo);
    ~ContaPoupanca();

    std::time_t getDataAniversarioConta();
    void setDataAniversarioConta(std::time_t dataAniversarioConta);

    void retirada(float valor);
    void extrato();
};

#endif