#include "bib/Conta.hpp"
#include "bib/ContaCorrenteComLimite.hpp"
#include "bib/ContaCorrenteComum.hpp"
#include "bib/ContaPoupanca.hpp"
#include "bib/Correntista.hpp"
#include "bib/Organizacao.hpp"
#include "bib/Pessoa.hpp"
#include "bib/PessoaFisica.hpp"
#include "bib/PessoaJuridica.hpp"
#include "bib/Transacao.hpp"

#include <iostream>
#include <vector>

int main()
{
    std::vector<Conta*> contas;
    contas.push_back(new ContaCorrenteComLimite(500, "1", "1", 10));
    contas.push_back(new ContaCorrenteComLimite(500, "2", "2", 0));
    contas.push_back(new ContaCorrenteComum("1", "3", 10));
    contas.push_back(new ContaCorrenteComum("1", "4", 100));

    contas[0]->extrato();
    contas[1]->extrato();
    contas[2]->extrato();

    contas[0]->deposito(100);
    contas[0]->extrato();

    contas[2]->retirada(200);
    contas[2]->extrato();


    for (size_t i = 0; i < contas.size(); i++)
    {
        delete contas[i];
    }
    
    return 0;
}